API SpecificationPRIVATEApplications
List Automation Keys
Lists the automation keys registered on an application.
Required scopes: auth:apps:read
Authorization
BearerAuth AuthorizationBearer <token>
JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
applicationId?string
Length
1 <= length <= 64includeRevoked?boolean
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.ApplicationsService/ListAutomationKeys" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"keys": [
{
"keyId": "string",
"name": "string",
"keyPrefix": "string",
"applicationId": "string",
"user": {
"userId": "usr_a1b2c3d4e5f6",
"username": "johndoe",
"email": "[email protected]",
"avatarUrl": "https://cdn.example.com/avatars/abc123"
},
"scopes": [
"string"
],
"clientIds": [
"string"
],
"expiresAt": "2023-01-15T01:30:15.01Z",
"lastUsedAt": "2023-01-15T01:30:15.01Z",
"revokedAt": "2023-01-15T01:30:15.01Z",
"createdAt": "2023-01-15T01:30:15.01Z",
"createdBy": "string",
"iacManaged": true
}
]
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}